#!/usr/bin/env sage

from sage.all import *

def fermats_method(N):

    x = ceil(sqrt(N))
    y_squared = x*x - N

    while not sqrt(y_squared) in ZZ:
        y_squared = y_squared + 2*x + 1
        x = x + 1

    return [x + sqrt(y_squared), x - sqrt(y_squared)]
